package kcg.imis.moniter.vo;

import java.util.List;

public class MoniterVO {

	@Override
	public String toString() {
		return "MoniterVO [jmIdx=" + jmIdx + ", jmDepth=" + jmDepth + ", jmDepth1Idx=" + jmDepth1Idx + ", jmDepth2Idx=" + jmDepth2Idx + ", jmDepth3Idx=" + jmDepth3Idx + ", jmDepth4Idx=" + jmDepth4Idx
				+ ", jmDepth5Idx=" + jmDepth5Idx + ", jmDepth6Idx=" + jmDepth6Idx + ", jmName=" + jmName + ", jmOrder=" + jmOrder + ", jmChild=" + jmChild + ", jmHref=" + jmHref + ", parentId="
				+ parentId + ", monterList=" + monterList + "]";
	}

	private String jmIdx;
	private String jmDepth;
	private String jmDepth1Idx;
	private String jmDepth2Idx;
	private String jmDepth3Idx;
	private String jmDepth4Idx;
	private String jmDepth5Idx;
	private String jmDepth6Idx;
	private String jmName;
	private String jmOrder;
	private String jmChild;
	private String jmHref;
	private String parentId;
	
	private List<MoniterVO> monterList;

	public String getJmIdx() {
		return jmIdx;
	}

	public void setJmIdx(String jmIdx) {
		this.jmIdx = jmIdx;
	}

	public String getJmDepth() {
		return jmDepth;
	}

	public void setJmDepth(String jmDepth) {
		this.jmDepth = jmDepth;
	}

	public String getJmDepth1Idx() {
		return jmDepth1Idx;
	}

	public void setJmDepth1Idx(String jmDepth1Idx) {
		this.jmDepth1Idx = jmDepth1Idx;
	}

	public String getJmDepth2Idx() {
		return jmDepth2Idx;
	}

	public void setJmDepth2Idx(String jmDepth2Idx) {
		this.jmDepth2Idx = jmDepth2Idx;
	}

	public String getJmDepth3Idx() {
		return jmDepth3Idx;
	}

	public void setJmDepth3Idx(String jmDepth3Idx) {
		this.jmDepth3Idx = jmDepth3Idx;
	}

	public String getJmDepth4Idx() {
		return jmDepth4Idx;
	}

	public void setJmDepth4Idx(String jmDepth4Idx) {
		this.jmDepth4Idx = jmDepth4Idx;
	}

	public String getJmDepth5Idx() {
		return jmDepth5Idx;
	}

	public void setJmDepth5Idx(String jmDepth5Idx) {
		this.jmDepth5Idx = jmDepth5Idx;
	}

	public String getJmDepth6Idx() {
		return jmDepth6Idx;
	}

	public void setJmDepth6Idx(String jmDepth6Idx) {
		this.jmDepth6Idx = jmDepth6Idx;
	}

	public String getJmName() {
		return jmName;
	}

	public void setJmName(String jmName) {
		this.jmName = jmName;
	}

	public String getJmOrder() {
		return jmOrder;
	}

	public void setJmOrder(String jmOrder) {
		this.jmOrder = jmOrder;
	}

	public String getJmChild() {
		return jmChild;
	}

	public void setJmChild(String jmChild) {
		this.jmChild = jmChild;
	}

	public String getJmHref() {
		return jmHref;
	}

	public void setJmHref(String jmHref) {
		this.jmHref = jmHref;
	}

	public List<MoniterVO> getMonterList() {
		return monterList;
	}

	public void setMonterList(List<MoniterVO> monterList) {
		this.monterList = monterList;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

}
